#ifndef FILE_FINDER_H
#define FILE_FINDER_H

#include <vector>
#include <map>

using namespace std;

typedef vector<string> fileList;
typedef map<string, fileList> fileContainer;

/**
 * Helper class for retrieving all the image file paths
 */
class FileFinder {
public:
	string getRootFolderPath(char* folderPath);
	void recurseTree(fileContainer& imageFiles, const char* rootFolder);
	void printFiles(fileContainer& imageFiles);
};

#endif