#ifndef KLT_H
#define KLT_H

#include "FeatureSystem.h"

/**
 * This feature system uses the KANADE-LUCAS algorithm, which was
 * further developed by Shi and Tomasi to become the goodFeaturesToTrack()
 */
class KLTSystem : public FeatureSystem {
	virtual void findFeatures(const cv::Mat& image, std::vector<cv::KeyPoint>& keypoints);
	virtual void findDescriptors(const cv::Mat& image, std::vector<cv::KeyPoint>& keypoints, Mat& descriptors);
};

#endif