#ifndef SIFT_H
#define SIFT_H

#include "FeatureSystem.h"

/**
 * This feature system uses the SIFT detector algorithm
 */
class SiftSystem : public FeatureSystem {
	virtual void findFeatures(const cv::Mat& image, std::vector<cv::KeyPoint>& keypoints);
	virtual void findDescriptors(const cv::Mat& image, std::vector<cv::KeyPoint>& keypoints, Mat& descriptors);
};

#endif