#ifndef SURF_H
#define SURF_H

#include "FeatureSystem.h"

/**
 * This feature system uses the SURF detector algorithm
 */
class SurfSystem : public FeatureSystem {
	virtual void findFeatures(const cv::Mat& image, std::vector<cv::KeyPoint>& keypoints);
	virtual void findDescriptors(const cv::Mat& image, std::vector<cv::KeyPoint>& keypoints, Mat& descriptors);
};

#endif